<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">

    <ui:param name="pageName" value="Gazelle X-Service User Simulator"/>
    <ui:param name="pageNameUrl" value="/xsu.seam"/>
    <ui:param name="pageNameTitle" value="X-Service User Simulator"/>

    <ui:define name="body">
        <h:form id="resultForm">

            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="X-Service User Simulator usage"/>
                </ui:define>
                <p><h:outputText
                        value="The Gazelle X-Service User Simulator can be used to verify Identity Provider implementations by sending them authentication requests."/>
                </p>
                <p><h:outputText
                        value="By default, The simulator is configured to send messages the Gazelle IdP simulator, but it can be used with other IdP."/>
                </p>
                <p><h:outputText
                        value="The Simulator is consumming IdP standard SAML Metadata to configure itself. If you need to use the X-Service User Simulator to challenge your IdP, please contact Cédric (cel at kereval dot com) or Malo (mtc at kereval dot com) to share your metadata."/>
                </p>
                <p><h:outputText
                        value="You will also need to authorize the X-Service User simulator to reach your IdP, here is the published information:"/>
                </p>
                <dl class="dl-horizontal">
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">X-Service User entityID</ui:define>
                        <h:outputText value="https://sp.ihe-europe.net/shibboleth"/>
                    </ui:decorate>
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">X-Service User metadata</ui:define>
                        <h:outputLink
                                value="https://sp.ihe-europe.net/Shibboleth.sso/Metadata">
                            <h:outputText value="https://sp.ihe-europe.net/Shibboleth.sso/Metadata"/>
                        </h:outputLink>
                    </ui:decorate>
                </dl>
                <p><h:outputText
                        value="To start a test, request a resource on the X-Service User simulator, this will redirect you to the configured IdP:"/>
                </p>
                <dl class="dl-horizontal">
                    <ui:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">Trigger HTML login</ui:define>
                        <h:outputLink
                                value="https://sp.ihe-europe.net/Shibboleth.sso/Login?target=https://sp.ihe-europe.net/Shibboleth.sso/Session">
                            <h:outputText
                                    value="https://sp.ihe-europe.net/Shibboleth.sso/Login?target=https://sp.ihe-europe.net/Shibboleth.sso/Session"/>
                        </h:outputLink>
                    </ui:decorate>
                </dl>
            </ui:decorate>

        </h:form>
    </ui:define>
</ui:composition>
